<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f" %>
<%@ taglib uri="http://richfaces.org/a4j" prefix="a4j"%>
<%@ taglib uri="http://richfaces.org/rich" prefix="rich"%>
<f:view>
<!doctype html public "-//w3c/dtd HTML 4.01 Transitional//en">
<html>
<head>
<title><h:outputText value="#{locale['quiz']}"/></title>
</head>
<body>
<h1><h:outputText value="#{locale['quiz']}"/></h1>
<h:panelGroup id="dyn">
<h2><h:outputText value="#{locale['question']}"/>: <h:outputText value="#{quiz.questionIndex + 1}"/> / <h:outputText value="#{quiz.numQuestions}"/></h2>
<h:outputText rendered="#{quiz.wrong}" value="#{locale['wrongAnswer']}"/>
<rich:tabPanel>
<rich:tab label="#{locale['question']}">
<h:form id="quiz">
<h:outputText value="#{quiz.question.question}"/> = <h:inputText id="answer" value="#{quiz.answer}" required="yes" requiredMessage="#{locale['required']}" converterMessage="#{locale['notInteger']}" validatorMessage="#{locale['notPositive']}"><f:validateLongRange minimum="0"/><rich:toolTip value="#{locale['enterHere']}"/></h:inputText> <h:message for="answer"/>
<br>
<a4j:commandButton action="#{quiz.answerQuestion}" value="#{locale['answer']}" reRender="dyn"><rich:toolTip value="#{locale['clickHere']}"/></a4j:commandButton>
</h:form>
</rich:tab>
<rich:tab label="#{locale['hints']}">
<h:outputFormat value="#{locale['answerBetween']}">
<f:param value="#{quiz.start}"/>
<f:param value="#{quiz.end}"/>
</h:outputFormat>
</rich:tab>
</rich:tabPanel>
</h:panelGroup>
</body>
</html>
</f:view>
